



import 'package:syncrow_web/pages/access_management/booking_system/model/bookable_room.dart';

class SidebarState {
  final List<BookableRoom> allRooms;
  final List<BookableRoom> displayedRooms;
  final int? selectedRoomId;
  final bool isLoading;
  final String? errorMessage;

  SidebarState({
    required this.allRooms,
    required this.displayedRooms,
    this.selectedRoomId,
    this.isLoading = false,
    this.errorMessage,
  });

  SidebarState copyWith({
    List<BookableRoom>? allRooms,
    List<BookableRoom>? displayedRooms,
    int? selectedRoomId,
    bool? isLoading,
    String? errorMessage,
  }) {
    return SidebarState(
      allRooms: allRooms ?? this.allRooms,
      displayedRooms: displayedRooms ?? this.displayedRooms,
      selectedRoomId: selectedRoomId ?? this.selectedRoomId,
      isLoading: isLoading ?? this.isLoading,
      errorMessage: errorMessage ?? this.errorMessage,
    );
  }
}
