import 'package:flutter/material.dart';

class CustomCalendarPage extends StatefulWidget {
  final DateTime selectedDate;
  final Function(int day, int month, int year) onDateChanged;

  const CustomCalendarPage({
    super.key,
    required this.selectedDate,
    required this.onDateChanged,
  });

  @override
  State<CustomCalendarPage> createState() => _CustomCalendarPageState();
}

class _CustomCalendarPageState extends State<CustomCalendarPage> {
  late DateTime _selectedDate;

  @override
  void initState() {
    super.initState();
    _selectedDate = widget.selectedDate;
  }

  @override
  void didUpdateWidget(CustomCalendarPage oldWidget) {
    super.didUpdateWidget(oldWidget);
    if (widget.selectedDate != oldWidget.selectedDate) {
      setState(() {
        _selectedDate = widget.selectedDate;
      });
    }
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: Column(
        children: [
          Expanded(
            child: CalendarDatePicker(
              initialDate: _selectedDate,
              firstDate: DateTime(2000),
              lastDate: DateTime(2100),
              onDateChanged: (date) {
                widget.onDateChanged(date.day, date.month, date.year);
              },
            ),
          ),
        ],
      ),
    );
  }
}
